LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::awt::FontFamily Constant Group Referencepublished

These values are used to specify the general kind of font. More...

## Variables
const short | DONTKNOW = 0
| specifies an unknown font family. More...
const short | DECORATIVE = 1
| specifies the family of decorative fonts. More...
const short | MODERN = 2
| specifies the family of modern fonts. More...
const short | ROMAN = 3
| specifies the family roman fonts (with serifs). More...
const short | SCRIPT = 4
| specifies the family of script fonts. More...
const short | SWISS = 5
| specifies the family roman fonts (without serifs). More...
const short | SYSTEM = 6
| specifies the family system fonts. More...

## Detailed Description

These values are used to specify the general kind of font.

They may be expanded in future versions.

## Variable Documentation

## ◆ DECORATIVE

const short DECORATIVE = 1

specifies the family of decorative fonts.

## ◆ DONTKNOW

const short DONTKNOW = 0

specifies an unknown font family.

## ◆ MODERN

const short MODERN = 2

specifies the family of modern fonts.

## ◆ ROMAN

const short ROMAN = 3

specifies the family roman fonts (with serifs).

## ◆ SCRIPT

const short SCRIPT = 4

specifies the family of script fonts.

## ◆ SWISS

const short SWISS = 5

specifies the family roman fonts (without serifs).

## ◆ SYSTEM

const short SYSTEM = 6

specifies the family system fonts.